Subject: Re: Creating diffs

From: Jakub Narebski <[email-masked]>
Date: Thu, 03 Aug 2006 16:47:49 +0200

Jakub Narebski wrote:

> Rocco Rutte wrote:
> 
>> However, when I do:
>> 
>>    $ git diff source:file dest:file
>> 
>> I get:
>> 
>>    --- a/source:file
>>    +++ b/source:file
>> 
>> But I'd like to drop the branchname. Can I do that without filtering 
>> everything through sed(1)?
> 
> If I remember correctly there were two patches which solved it 
> differently: 
>
> one gave 
> 
>    --- a/source:file
>    +++ b/dest:file
> 
> second (and I guess it is better solution)
> 
>    --- a/file
>    +++ b/file
> 
> Unfortunately they seem unapplied...

The patches are:
  http://www.gelato.unsw.edu.au/archives/git/0607/24325.html
  http://www.gelato.unsw.edu.au/archives/git/0607/24326.html

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git